import type { Arrayable, Nullable } from '@stacksjs/types';
import type { PartitionFilter } from './helpers';
export declare const Arr: {
    contains(needle: string, haystack: string[]): boolean;
    containsAll(needles: string[], haystack: string[]): boolean;
    containsAny(needles: string[], haystack: string[]): boolean;
    containsNone(needles: string[], haystack: string[]): boolean;
    containsOnly(needles: string[], haystack: string[]): boolean;
    doesNotContain(needle: string, haystack: string[]): boolean;
    toArray<T>(array?: Nullable<Arrayable<T>>): T[];
    flatten<T_1>(array?: Nullable<Arrayable<T_1 | T_1[]>>): T_1[];
    mergeArrayable<T_2>(...args: Nullable<Arrayable<T_2>>[]): T_2[];
    partition<T_3>(array: readonly T_3[], filter: PartitionFilter<T_3>): [T_3[], T_3[]];
    /**
     * Returns a random item/s from the array
     */
    random<T_4>(arr: T_4[], count?: number): T_4[];
    /**
     * Returns random item/s from the array
     */
    sample<T_5>(arr: T_5[], count?: number): T_5[];
    unique<T_6>(arr: T_6[]): T_6[];
    uniqueBy<T_7>(arr: readonly T_7[], equalFn: (a: any, b: any) => boolean): T_7[];
    last<T_8>(arr: T_8[]): T_8 | undefined;
    remove<T_9>(arr: T_9[], value: T_9): boolean;
    at(arr: any[], index: number): any;
    range(arr: readonly number[]): number;
    move<T_10>(arr: T_10[], from: number, to: number): T_10[];
    clampArrayRange(arr: readonly unknown[], n: number): number;
    shuffle<T_11>(arr: T_11[]): T_11[];
    /**
     * Returns the sum of all items in the array
     */
    sum(arr: number[]): number;
    /**
     * Returns the average of all items in the array
     */
    average(arr: number[]): number;
    avg(arr: number[]): number;
    /**
     * Returns the median of all items in the array
     */
    median(arr: number[]): number;
    /**
     * Returns the mode of all items in the array
     */
    mode(arr: number[]): number;
};
export declare const arr: {
    contains(needle: string, haystack: string[]): boolean;
    containsAll(needles: string[], haystack: string[]): boolean;
    containsAny(needles: string[], haystack: string[]): boolean;
    containsNone(needles: string[], haystack: string[]): boolean;
    containsOnly(needles: string[], haystack: string[]): boolean;
    doesNotContain(needle: string, haystack: string[]): boolean;
    toArray<T>(array?: Nullable<Arrayable<T>>): T[];
    flatten<T_1>(array?: Nullable<Arrayable<T_1 | T_1[]>>): T_1[];
    mergeArrayable<T_2>(...args: Nullable<Arrayable<T_2>>[]): T_2[];
    partition<T_3>(array: readonly T_3[], filter: PartitionFilter<T_3>): [T_3[], T_3[]];
    /**
     * Returns a random item/s from the array
     */
    random<T_4>(arr: T_4[], count?: number): T_4[];
    /**
     * Returns random item/s from the array
     */
    sample<T_5>(arr: T_5[], count?: number): T_5[];
    unique<T_6>(arr: T_6[]): T_6[];
    uniqueBy<T_7>(arr: readonly T_7[], equalFn: (a: any, b: any) => boolean): T_7[];
    last<T_8>(arr: T_8[]): T_8 | undefined;
    remove<T_9>(arr: T_9[], value: T_9): boolean;
    at(arr: any[], index: number): any;
    range(arr: readonly number[]): number;
    move<T_10>(arr: T_10[], from: number, to: number): T_10[];
    clampArrayRange(arr: readonly unknown[], n: number): number;
    shuffle<T_11>(arr: T_11[]): T_11[];
    /**
     * Returns the sum of all items in the array
     */
    sum(arr: number[]): number;
    /**
     * Returns the average of all items in the array
     */
    average(arr: number[]): number;
    avg(arr: number[]): number;
    /**
     * Returns the median of all items in the array
     */
    median(arr: number[]): number;
    /**
     * Returns the mode of all items in the array
     */
    mode(arr: number[]): number;
};
